Bug 1541341 - Gettext strings should not contain interpolations
Summary: Gettext strings should not contain interpolations
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.4
Assignee: Milan Zázrivec
QA Contact: Nandini Chandra
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-02 10:28 UTC by Milan Zázrivec
Modified: 2018-06-25 14:17 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-06-25 14:17:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:17 UTC

Description Milan Zázrivec 2018-02-02 10:28:24 UTC
Description of problem:
Gettext (i18n) strings should not contain string interpolations, since
strings like that won't work with gettext routines.


Version-Release number of selected component (if applicable):
CFME 5.8


How reproducible:
Always

Steps to Reproduce:
1. Make sure gettext strings do not contain interpolations.
2.
3.

Actual results:
app/views/report/_form_filter_chargeback.html.haml contains gettext string
with interpolations.


Expected results:
No interpolations.

Additional info:

Comment 2 Nandini Chandra 2018-05-22 18:17:28 UTC
verified in 5.8.4.2

Comment 4 errata-xmlrpc 2018-06-25 14:17:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.